Subject: [TR] Stag stuck choke

From: Frank Magnusson <[email-masked]>
Date: Tue, 26 Nov 2019 17:59:03 -0600

I was planning on starting the Stag today after doing alot of work on it over the year and lo and behold, the choke is stuck on one of the carbs (Stromberg).  It has a slight bit of freeplay, but the choke lever is hard stuck like it is jammed.  I have had the dashpot and air valve piston out as well as the float bowl off but I dont think that would have anything to do with it.  It feel jammed not gummed up.  Other carb is fine.  Any ideas?

Thanks,
Frank

Sent from my iPad
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive